Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000735Core InformAssertions and creationspublic2011-08-28 16:322014-05-07 07:34
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000735: Declaring "Every X incorporates a Y" when Y is not a kind can yield a confusing error message
DescriptionThe source text yields the following message:

Problem. You wrote 'Every person incorporates a nose', but also 'Every person incorporates a nose': that seems to be saying that the same object (nose) must be in two different places (yourself and Jane). This looks like a contradiction.

It's confusing to have the error message treat the same sentence as though it's been written twice.
Minimal Source Text To Reproduce
Lab is a room. Jane is a woman in Lab. Every person incorporates a nose.
Additional InformationWriting "A nose is part of every person" instead yields an error message that correctly diagnoses the problem, that the assertion only makes sense if you've defined "nose" as a kind. Maybe the compiler could check whether the same assertion appears twice in an error message, and if so omit the second repetition and give a warning that you might have forgotten to define "nose" as a kind?

In fact it might be good to append a note about kinds to this message all the time; it's probably fairly common for someone to write "Jane carries a sword. Alice carries a sword." and forget to define swords as a kind.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
graham (administrator)
2011-10-15 09:32

Conceded. I've gone with the second suggestion, i.e., to add an explanatory note to the problem message.

- Issue History
Date Modified Username Field Change
2011-08-28 16:32 mattweiner New Issue
2011-09-01 09:34 EmacsUser Status new => confirmed
2011-10-15 09:32 graham Note Added: 0001381
2011-10-15 09:32 graham Status confirmed => resolved
2011-10-15 09:32 graham Resolution open => fixed
2011-10-15 09:32 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker